Design a custom voice from description
POST
/
v1
/
custom-voices
/
design
Design a custom voice from description
curl --request POST \
--url https://api.adskull.io/v1/custom-voices/design \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"gender": "<string>",
"age": "<string>",
"accent": "<string>"
}
'import requests
url = "https://api.adskull.io/v1/custom-voices/design"
payload = {
"name": "<string>",
"description": "<string>",
"gender": "<string>",
"age": "<string>",
"accent": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
gender: '<string>',
age: '<string>',
accent: '<string>'
})
};
fetch('https://api.adskull.io/v1/custom-voices/design', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "custom_voice",
"name": "<string>",
"status": "ready",
"voice_type": "clone",
"description": "<string>",
"preview_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for safe retries of job creation requests.
Required string length:
8 - 128Body
application/json
Response
Custom voice created.
⌘I
Design a custom voice from description

